{% extends 'appointment/appointment_details.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "appointment/css/appointment.css" %}">
{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb 'Список записавшихся' "" %}
{% endblock %}
{% block title %}
  {% if appointment %}
    {{ appointment }} - Список записавшихся
  {% else %}
    Электронная очередь
  {% endif %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <a href="{% url 'appointment:queue_list_export' appointment.id %}" class="btn btn-warning"
       role="button">xls</a>
    <hr>
    <table class="table table-sm table-striped table-bordered">
      <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Студент</th>
        <th scope="col">Время записи</th>
        <th scope="col">Номер</th>
        <th scope="col">Время приёма</th>
        <th scope="col">Категория</th>
        <th scope="col">Предмет</th>
        <th scope="col">Отметка</th>
      </tr>
      </thead>
      <tbody>

      {% for queue in queue_list %}
        <tr>
          <th scope="row">{{ forloop.counter }}<br>
            <a href="{% url 'appointment:delete_queue_record' appointment.id queue.id %}"
               title="Удалить" onclick="return confirm('Удалить {{ queue.student.last_name }}?')">
              <i class="fas fa-user-minus"></i></a></th>
          <td>
            {{ queue.student.last_name }} {{ queue.student.first_name }} {{ queue.student.middle_name }}<br> {{ queue.student.group }}
          </td>
          <td>{{ queue.created_time }}</td>
          <td>{{ queue.number }}</td>
          <td>{{ queue.time }}</td>
          <td>{{ queue.category }}</td>
          <td>{{ queue.subject }}</td>
          <td>{{ queue.get_mark_display }}</td>
        </tr>
      {% endfor %}
      </tbody>
    </table>

    {#        {% if appointment_id %}#}
    {#            <form action="{% url 'appointment:edit_appointment' appointment_id %}" method="post">#}
    {#        {% else %}#}
    {#            <form action="{% url 'appointment:add_appointment' %}" method="post">#}
    {#        {% endif %}#}
    {#        {% csrf_token %}#}
    {##}
    {#        <div class="form-group">#}
    {#            {{ form.available.errors }}#}
    {#            <label for="id_available">{{ form.available.label_tag }}</label>#}
    {#            {{ form.available }}#}
    {#        </div>#}
    {##}
    {##}
    {#        <button type="submit" class="btn btn-primary">Сохранить</button>#}
    {#        </form>#}
  </section>
{% endblock %}
{% block js %}
  {{ form.media }}
{% endblock %}